[arch-commits] Commit in projectm/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Mon Jun 8 02:26:13 EDT 2009


    Date: Monday, June 8, 2009 @ 02:26:12
  Author: eric
Revision: 41920

Merged revisions 41919 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/projectm/trunk

........
  r41919 | eric | 2009-06-08 02:25:48 -0400 (Mon, 08 Jun 2009) | 1 line
  
  Fixed build issues with latest ftgl and gcc 4.4 (close FS#14989)
........

Modified:
  projectm/repos/extra-i686/	(properties)
  projectm/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |    2 ++
 1 file changed, 2 insertions(+)


Property changes on: projectm/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /projectm/trunk:1-27240
   + /projectm/trunk:1-41919

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-06-08 06:25:48 UTC (rev 41919)
+++ extra-i686/PKGBUILD	2009-06-08 06:26:12 UTC (rev 41920)
@@ -15,6 +15,8 @@
 
 build() {
   cd $srcdir/libprojectM-$pkgver
+  sed -i 's|FTGL/FTGL.h|FTGL/ftgl.h|' Renderer.hpp || return 1
+  sed -i "s|#include <iostream>|#include <cstdio>\n#include <iostream>|" BuiltinParams.cpp || return 1
   mkdir build
   cd build
   cmake -D CMAKE_INSTALL_PREFIX=/usr -D CMAKE_BUILD_TYPE=Release .. || return 1



More information about the arch-commits mailing list